#
# $Header: /cvsroot/lesstif/lesstif/clients/Motif-2.0/xmbind/Makefile.am,v 1.9 2005/03/26 06:52:24 dannybackx Exp $
#

#
# 2.1 has precendence
#
if ! Version_2_1
if Version_2_0
bin_PROGRAMS=	xmbind
endif
endif

MAINTAINERCLEANFILES=Makefile.in

SRCS_1_2 = \
  	xmbind.c
SRCS_2_0 = 

# non-local stuff
BUILT_SOURCES =

xmbind_SOURCES =  $(SRCS_1_2) $(SRCS_2_0)

$(SRCS_1_2):
	rm -f $@
	$(LN_S) $(srcdir)/../../Motif-1.2/xmbind/$@ $@

# Ensure that the non-local headers are linked
#$(xmbind_OBJECTS): $(HDRS_1_2)


AM_CPPFLAGS=	-I$(top_srcdir)/include/Motif-2.0 \
		-I../../../include/Motif-2.0 \
		-I$(top_srcdir)/include/Motif-1.2 \
		-I../../../include/Motif-1.2 \
		$(X_CFLAGS)

LDADD=		../../../lib/Xm-2.0/libXm.la \
		$(X_LIBS) -lXt ${X_PRE_LIBS} -lXext -lX11 ${X_EXTRA_LIBS}


clean-local:
	@for i in $(BUILT_SOURCES) $(SRCS_1_2) ; do \
	   if test -r $$i; then \
	      rm $$i; \
	   fi ; \
	   done
